.sign-up-container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-image: url("/assets/images/background-f.jpg");
}

.sign-up-content {
  width: 470px;
  height: 340px;
  display: flex;
  flex-direction: column;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 10px;
}

.sign-up-title {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 30px;
  margin-bottom: 20px;

  .df-text {
    color: whitesmoke;
    font-size: 40px;
  }
}

.sign-up-form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.sign-up-form-data {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.sign-up-input {
  width: 350px;
  height: 35px;
  margin-top: 8px;
  margin-bottom: 4px;
  padding-left: 7px;
}

.sign-up-error {
  margin: 0 0 0 310px;
  padding: 0;
  font-size: 12px;
  color: cornflowerblue;
}

.sign-up-submit {
  width: 363px;
  height: 40px;
  margin-top: 10px;
  background-color: royalblue;
  border: transparent;
  color: whitesmoke;

  &:hover {
    cursor: pointer;
    background-color: blue;
  }

  &:disabled {
    cursor: default;
    background-color: royalblue;
  }
}
